Export Customers

GET · Customers · GDPR

Export Customers

GDPR-compliant export of customer master data and addresses. Please observe data protection regulations!

GDPR Note: The export of personal data is subject to strict data protection regulations. Ensure that you have a legal basis for processing.

Endpoint

GET /xpanel/xoport/Export/JSON/customers

Header: Authorization: Bearer YOUR_API_KEY_HERE
Scope: customers:read

Response Structure

{
"success": true,
"data": [{
"customers_id": 1,
"customers_email_address": "kunde@example.com",
"customers_firstname": "Max",
"customers_lastname": "Mustermann",
"addresses": [{
"address_book_id": 1,
"entry_street_address": "Musterstr. 1",
"entry_city": "Berlin",
"entry_postcode": "10115",
"entry_country": "DE"
}]
}]
}

Back to the Export Overview

All export endpoints